from loguru import logger
import shutil
from pathlib import Path


def download_and_unpack(modeldir: str, modeltag: str):
    import urllib

    modelfile = modeldir + '/' + modeltag
    extract_dir = Path.cwd() / 'models'

    logger.info(f'Downloading modelfile: {modelfile}')
    try:
        modelfile, _ = urllib.request.urlretrieve(modelfile)
    except Exception:
        logger.error(f'Failed to download model from: {modelfile}.')
        raise

    try:
        shutil.unpack_archive(modelfile,
                              extract_dir=extract_dir,
                              format='gztar')
    except Exception:
        logger.error(('Failed to extract model archive. '
                      'Make sure it is a gztar compressed file.'))

    return extract_dir, modeltag
