from typing import Dict

def get_tile_extent(tile_id: str) -> Dict:
    from satio import layers
    
    s2grid = layers.load('s2grid')
    s2bounds = s2grid.set_index('tile').loc[tile_id].geometry.bounds
    EXTENT = dict(zip(["west", "south", "east", "north"], s2bounds))
    EXTENT['crs'] = "EPSG:4326"
    
    return EXTENT
